<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 2/7/2018
 * Time: 1:48 AM
 */

include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if (isset($_REQUEST['token']) && isset($_REQUEST['id_propiedad'])) {
        if ($Valido->checkToken($_REQUEST['token'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominioData = $Valido->retornarDatos($creadoPor);
            $propiedadid = $_REQUEST['id_propiedad'];
            $propiedad1 = R::findAll('usuario', 'id_propiedad =:propiedadid AND estado =:estado AND tipo_usuario =:tu', array('propiedadid' => $propiedadid, 'estado' => '1', 'tu' => '9'));
            foreach ($propiedad1 as $valor) {
                unset($propiedad1['clave']);
            }
            include '../comun/mensajeOk.php';
            if ($propiedad1) {
                print_r(json_encode($propiedad1));
            } else {
                include '../comun/mensajeNoHayDatosParaMostrar.php';
            }
        }
    }else{
        include '../comun/mensajeFaltanCampos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}